Bug 1654568 - xfsm-shutdown-helper --hibernate fails: Failed to execute child process ?/usr/sbin/pm-hibernate? (No such file or directory)
Summary: xfsm-shutdown-helper --hibernate fails: Failed to execute child process ?/usr...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-session
Version: 29
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-29 06:17 UTC by Milan Kerslager
Modified: 2019-11-27 22:49 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:49:31 UTC


Attachments (Terms of Use)

Description Milan Kerslager 2018-11-29 06:17:02 UTC
Clean Fedora 29 install on Acer F5-572G, Xfce environment.
When hibernation reuqsted, segmentation fault in dmesg is reported and no action performed:

[ 8079.243508] traps: xfsm-shutdown-h[5355] general protection ip:7f7caa43d0a1 sp:7fff0538dd50 error:0 in libc-2.28.so[7f7caa3d8000+14d000]

The system is up-to-date.
$ rpm -q glibc
glibc-2.28-20.fc29.x86_64
glibc-2.28-20.fc29.i686
$ rpm -q xfce4-power-manager
xfce4-power-manager-1.6.1-20.fc29.x86_64

Comment 1 Florian Weimer 2018-11-29 10:08:50 UTC
This is most likely an application bug.  Please try to capture a coredump and a backtrace with debugging symbols.  Thanks.

Comment 2 Richard W.M. Jones 2019-02-14 06:26:49 UTC
By running the command by hand I managed to see the real error message.
Unfortunately I don't understand what it means - Fedora has no program
called "/usr/sbin/pm-hibernate".

$ pkexec /usr/lib64/xfce4/session/xfsm-shutdown-helper --hibernate

(xfsm-shutdown-helper:31209): GLib-WARNING **: 06:16:00.492: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Failed to execute child process ?/usr/sbin/pm-hibernate? (No such file or directory)
Segmentation fault (core dumped)


The stack trace is consequently useless:

#0  0x00007f5f4873b610 in free () from /lib64/libc.so.6
#1  0x00007f5f488cfed2 in g_free (mem=0x5541f689495641d7) at gmem.c:194
#2  0x00007f5f488b47e6 in g_error_free (error=0x55e729f09680 <__libc_csu_init>)
    at gerror.c:493
#3  0x000055e729f095f6 in run (command=<optimized out>) at main.c:137
#4  0x000055e729f0940f in main (argc=<optimized out>, argv=<optimized out>)
    at main.c:231

Comment 3 Richard W.M. Jones 2019-02-14 06:52:21 UTC
So it turns out in my case it's because "Secure" boot breaks hibernation,
apparently by design (bug 1518473).

Comment 4 Ben Cotton 2019-10-31 19:09:08 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2019-11-27 22:49:31 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.